<!-- <div  style="width:1px ;background:#C4C4C4;position: fixed;height: 100vh;right:29%;top:149px;"></div> -->
<!-- <div  style="position: absolute;top:137px;right:calc(29% - 15px)">
<img src="../../assets/img/avatars/1-small.svg" class="d-block ui-w-30 rounded-circle">
</div> -->
<!-- Bredcrumb  -->
<div class="container-m--x bredcrumb container-top">
    <div [ngClass]="showOutLine?'':'d-none'">
        <div class="mt-3 py-3 pl-3 pr-4 pb-0 custom-box-shadow mega-dropdown OutLine-rightalign outline-container" [ngClass]="outLineAnim">
            <div class="group-container olgroup-container remove-placeholder">
                <!--  <i class="fas fa-hand-point-right font-awes-hand-icon display-none"></i>-->
                <div id="olgroup-outline" class="outLine">
                    <div cdkDropList
                         [cdkDropListData]="flow_data.outline_group"
                         (cdkDropListDropped)="dropGroup($event)">
                        <div cdkDropListGroup class="example-container"
                             (mouseover)="groupIcon(fg, 'in')"
                             (mouseout)="groupIcon(fg, 'out')"
                             (cdkDragStarted)="dragStarted($event)"
                             (cdkDragEntered)="dragEntered($event)"
                             [ngClass]="fg?.childs?.length>1 ? 'outline-group': '' "
                             *ngFor="let fg of flow_data.outline_group;index as i;index as j"
                             cdkDrag [cdkDragData]="fg">
                             <h6 style="cursor: move" class="display-none" id="GP_CONTAINER_{{fg.id}}">
                                 <i class="fas fa-arrows-alt"></i>
                             </h6><!-- [ngClass]="{'mh-0 bor-none' : group.childs.length === 0}" -->
                            <div cdkDropList class="example-list remove_dynamic "
                                 [ngClass]="{'mh-5' : fg.childs.length === 0}"
                                 id={{fg.id}}
                                 [cdkDropListData]="fg.childs"
                                 (cdkDropListDropped)="dropItem($event)"
                                 [cdkDropListConnectedTo]="getConnectedList()">
                                <div class="example-box"
                                     (click)="changeTile(singleItem,fg.childs,'redirect')"
                                     (cdkDragStarted)="dragStarted($event)"
                                     (cdkDragMoved)="dragMoved($event)"
                                     (cdkDragEntered)="dragEntered($event)"
                                     (cdkDragEnded)="dragEnded($event)"
                                     (cdkDragExited)="dragExit($event)"
                                     *ngFor="let singleItem of fg.childs"
                                     cdkDrag [cdkDragData]="singleItem">
                                    <button [class.btnsingleitem]="singleItem?.object_id === activeState?.object_id"
                                            style="cursor: all-scroll;" class="btn btn-default text-left w-100 ml-0 borderless bg-gray95 outlinechild-hover">
                                        {{singleItem?.view_name}}
                                    </button>
                                 </div>
                            </div>

                           <!-- <div class="example-list mt-1" cdkDropList
                                 id={{group.id}}
                                 [cdkDropListData]="group.dropsArea"
                                 [cdkDropListConnectedTo]="getConnectedList()"
                                 (cdkDropListDropped)="dropItem($event)">
                                <div class="example-box" cdkDrag [cdkDragData]="singleItem"
                                     *ngFor="let singleItem of group.dropsArea">
                                    {{singleItem?.outline_display_name === null ?
                                    singleItem?.view_name : singleItem?.outline_display_name}}
                                </div>
                            </div>-->
                        </div>
                    </div>
                </div>

              <!--  <div id="olgroup-outline" class="outLine" dragula="COLUMNS" [(dragulaModel)]="flow_data.outline_group">
                    <div *ngFor="let fg of flow_data?.outline_group;index as i"
                        [ngClass]="fg?.childs?.length>1?'outline-group':''">
                        <div class="group-handle display-none" id="{{fg.id}}"></div>
                        <div dragula="ITEMS" [(dragulaModel)]="fg.childs"
                            [ngClass]="{'mb-15': fg?.childs?.length > 0, 'ml-16': fg?.childs?.length > 1 }">
                            <div class="mt-2 olgroup-btn m-b-20" *ngFor="let singleItem of fg.childs"
                                (click)="changeTile(singleItem,fg.childs,'redirect')">
                                <button [class.btnsingleitem]="singleItem?.object_id === activeState?.object_id"
                                    style="cursor: all-scroll;" class="btn btn-default text-left w-100 ml-0 borderless bg-gray95  outlinechild-hover">
                                    {{singleItem?.view_name}}</button>
                            </div>
                        </div>

                        &lt;!&ndash; <div dragula="ITEMS" id="PLACEHOLDER" [(dragulaModel)]="placeholder"
                             class="drag-drop-placeholder display-none">
                            <span>Drop Here to create a new group</span>
                        </div>&ndash;&gt;
                    </div>
                </div>-->
            </div>
        </div>
    </div>
    <div class="row px-4 f-14 lSpace" style="color: white;">
        <div class="col-md-4 d-flex">
            <span class="cursor" (click)="goToDefaultPage()"><i class="las la-home f-18 "></i></span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span>
            <span class="cursor" *ngIf="page_parent=='Documents'" [routerLink]="['/bookmark']">{{page_parent}}</span>
            <span *ngIf="page_parent!='Documents'">{{page_parent}}</span>
            <span class="px-2"><i class="las la-angle-right f-12 "></i></span><span class="bluebar-title-overflow">{{page_breadcrumb}}</span>
        </div>
        <div class="col-md-8">
            <div class="float-right text-right d-flex">
                <!-- Bookmark -->
                <div class=" mw-120" *ngIf="!page_details.is_insight && flow_data.outline_group.length > 0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace save-flow-items"
                    placement="bottom" ngbTooltip="{{book_markId === 0 ? 'Save this document' : book_markId === 1 ? 'This document has been saved' : book_markId === 2 ? 'Save this document with your recent changes' : 'Save this document'}}"
                            (click)="isSaveFlowdiv()">
                        <i class="mr-1" 
                            [ngClass]="book_markId === 2 ? 'las la-sync-alt fa-lg' : book_markId === 1 ? 'fas fa-check-circle f-15' : 'las la-plus-circle fa-lg'"></i>
                        {{book_markId === 0 ? 'Save Document' : book_markId === 1 ? 'Saved Document' : book_markId === 2 ? 'Update Document' : 'Save Document'}}
                    </button>
                </div>
                <!--  Schedule a Forecast -->
                <div class="mw-120" *ngIf="page_details.is_insight && flow_data.outline_group.length > 0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(schedule_forecast_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-calendar-plus fa-lg"></i>
                        Schedule a Forecast
                    </button>
                </div>

                <!--  Schedule a Forecast -->
                <!-- Current Schedules -->
                <div class="mw-120" *ngIf="page_details.is_insight && flow_data.outline_group.length > 0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(forecast_list_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-calendar-check fa-lg"></i>
                        Current Schedules
                    </button>
                </div>

                <div *ngIf="!page_details.is_insight && flow_data.outline_group.length > 0" class="outline-container mw-120" (click)="toggleOutline();">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow  f-14 custom-text-hover lSpace"
                            ngbTooltip="Preview / Navigate this document" placement="bottom"
                            [ngClass]="showOutLine ? 'font-weight-bold' : ''  ">
                        <i class="mr-1"
                           [ngClass]="showOutLine ? 'fas fa-stream f-16' : 'las la-stream fa-lg'  "></i>Outline
                    </button>
                </div>

                <!-- Subscribe -->
                <div class="mw-120" *ngIf="!page_details.is_insight && flow_data.outline_group.length > 0">
                    <button class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace"
                            (click)="openDialog(email_schedule_modal)">
                        <i class="mr-1  custom-text-hover mw-25 las la-envelope fa-lg fa-lg"></i>
                        Subscribe
                    </button>
                </div>

                <!-- More -->
                <div *ngIf="!page_details.is_insight && flow_data.outline_group.length > 0" ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'"
                    >
                    <button ngbDropdownToggle
                        class="btn btn-sm   borderless md-btn-flat hide-arrow custom-text-hover f-14 lSpace">
                        <i class="las la-ellipsis-v mr-1 fa-lg custom-text-hover"></i>More </button>
                    <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 py-2"
                        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                        <a class="dropdown-item" href="javascript:void(0)" (click)="pdf_download()"><i class="las la-download fa-lg"></i><span
                                class="ml-2">Export</span></a>
                        <a *ngIf="view_options.is_share" class="dropdown-item" href="javascript:void(0)"  (click)="openDialog(share_modal)"><i
                                class="las la-share-square fa-lg"></i><span class="ml-2">Share</span></a>
                        <a *ngIf="view_options.is_reset_flow" class="dropdown-item" href="javascript:void(0)" (click)="reset_to_default();"><i class="las la-undo-alt fa-lg"></i><span
                                class="ml-2">Reset Document</span></a>
                        <a class="dropdown-item" href="javascript:void(0)" 
                            *ngIf="view_options.is_make_homepege" (click)="set_default_routerpage();">
                            <i class="las la-home fa-lg"></i><span
                            class="ml-2">Make Homepage</span>
                        </a>
                        <a class="dropdown-item" href="javascript:void(0)" (click)="openDialog(data_update_modal)"><i
                                class="las la-info-circle fa-lg"></i><span class="ml-2">Data Last Updated</span></a>
                    </div>
                </div>

                <!-- More -->
            </div>
        </div>

<!-- Start save flow section -->
<div class="p-3 w-25 bg-white ml-auto mt-2 bookmark-card-shadow save-flow-items"
     [hidden]="!issaveFlow" style="z-index: 11;border-radius:6px;margin-right:10rem;">
    <div class="d-flex align-items-center">
        <input type="text" class="form-control input-material f-16" placeholder="Type your document name"
               name="Document Title"
               [(ngModel)]="page_title" #focustitle (keyup.enter)="saveFlow(0)">
               <button type="button" class="btn btn-primary btn-material  box-shadow-none ml-2 py-2 " (click)="saveFlow(0)"
              >{{reference_id === 0 ? 'Save': 'Update'}}</button>
    </div>
</div>
<!-- End save flow section -->

    </div>

</div>
<!-- Sticky Header Start -->
<div class="row static_container1 pl-4 pr-2  f-16 bottom-shadow" style="color: white;" [class]="scrollclass">
    <div class="col-md-6">
        <div class="text-gray55 d-flex align-items-center engine_toggle_logo">
            <img (click)="toggle_sidenav();" alt="Jarvix" class=" ml-1 mr-3" src="../../assets/imgs/hxlogo/hx_logo.svg" style="width:30px;height:30px">
              <div class="f-20 text-nowrap ">
                    <span *ngFor="let word of formatted_page_title" class="mr-2 {{word.highlight}}">{{word.value}}</span>
                </div>
            </div>
    </div> 
    <div class="col-md-6 pr-2">
        <div class="float-right outline-container pl-3">
            <button class="btn btn-primary align-items-center f-16 px-2 py-2 outline_btn" style="border-radius: 5px; "
                (click)="toggleOutline()">
                <i class="las la-stream fa-md" style="padding-left: 1px;"></i>
            </button>
        </div>
        <div class="filters-shadow float-right">
            <div class="float-left pt-1 pb-3 px-3  group-label filterBorder" placement="bottom" ngbTooltip="Select a date range"
                [ngClass]="{'bl-0' : global_date_filter.city !== null }">
                <div class="d-flex black">
                    <span style="cursor: pointer">
                        <span (click)="outlinefromdate.toggleCalendar()">
                            <i class="las la-calendar fa-lg"></i>
                        </span>
                    </span>
                    <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">From Date</label>
                </div>
                <div style="position: absolute;" >
                    <div *ngIf="calendar_custfields.sticky_from && (datamanager.verticalFilter.length>1 && datamanager.verticalFilter[1].range.length> 0)"
                        class="sticky-calender cust_calendar_items dashboard-fdate p-0" style="right:340px; top: 32px;" [perfectScrollbar]>
                        <div *ngIf="(datamanager.verticalFilter.length>1)">
                            <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                [activeId]="'calendar'==datamanager.verticalFilter[0].values?'tab-fromid1':'tab-fromid2'"
                                (click)="fromdate.openCalendar();">
                                <ngb-tab class="form-label label-material" [title]="datamanager.verticalFilter[0].display"
                                    id="tab-fromid1">
                                    <ng-template ngbTabContent style="border: none !important;">
                                        <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="customDateFilterOptions(option,option.calendar_type);fromdate.closeCalendar();"
                                                [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                        </div>
                                    </ng-template>
                                </ngb-tab>
                                <ngb-tab class="form-label label-material" [title]="datamanager.verticalFilter[1].display"
                                    id="tab-fromid2">
                                    <ng-template ngbTabContent>
                                        <div *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="customDateFilterOptions(option,option.calendar_type);fromdate.closeCalendar();"
                                                [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                        </div>
                                    </ng-template>
                                </ngb-tab>
                            </ngb-tabset>
                        </div>
                    </div>
                    <div *ngIf="calendar_custfields.sticky_from && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                        class="cust_calendar_items dashboard-fdate" style="right: 283px; top: 32px;">
                        <!-- TEST -->
                        <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                (click)="customDateFilterOptions(option)"
                                [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                        </div>
                    </div>
                </div>
                <div class="input-group ngx-data-ui sticky-calender-dp">
                    <input class="form-control p-0 bg-transparent text_default input-box-style border-0 text-right pb-2 cursor"
                        placeholder="choose a date" [options]="datePickerOptions" name="outlinefromdate" ngx-mydatepicker
                        #outlinefromdate [(ngModel)]="sticky_header_filter.fromdate"
                        (click)="outlinefromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                        (dateChanged)="dateValueChange($event,outlinefromdate,todate,'fromdate')"
                        style="min-height:20px !important;max-height:20px !important;">
                </div>
            </div>
            <div class="float-left pt-1 pb-3 px-3  group-label filterBorder" placement="bottom" ngbTooltip="Select a date range">
                <div class="d-flex black">
                    <span style="cursor: pointer">
                        <span (click)="todate.toggleCalendar()">
                            <i class="las la-calendar fa-lg"></i>
                        </span>
                    </span>
                    <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">To Date</label>
                </div>
                <div style="position: absolute;" >
                    <div *ngIf="calendar_custfields.sticky_to && (datamanager.verticalFilter.length>1 && datamanager.verticalFilter[1].range.length>0)"
                        class="sticky-calender cust_calendar_items left dashboard-fdate p-0" style="right:340px; top: 32px;" [perfectScrollbar]>
                        <div *ngIf="(datamanager.verticalFilter.length>1)">
                            <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                [activeId]="'calendar'== datamanager.verticalFilter[0].values?'tab-fromid1':'tab-fromid2'"
                                (click)="todate.openCalendar();">
                                <ngb-tab class="form-label label-material" [title]="datamanager.verticalFilter[0].display"
                                    id="tab-fromid1">
                                    <ng-template ngbTabContent style="border: none !important;">
                                        <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="customDateFilterOptions(option,option.calendar_type);todate.closeCalendar();"
                                                [ngClass]="activeBtnVal == option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                        </div>
                                    </ng-template>
                                </ngb-tab>
                                <ngb-tab class="form-label label-material" [title]="datamanager.verticalFilter[1].display"
                                    id="tab-fromid2">
                                    <ng-template ngbTabContent>
                                        <div *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                (click)="customDateFilterOptions(option,option.calendar_type);todate.closeCalendar();"
                                                [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                        </div>
                                    </ng-template>
                                </ngb-tab>
                            </ngb-tabset>
                        </div>
                    </div>
                    <div *ngIf="calendar_custfields.sticky_to && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                        class="cust_calendar_items left dashboard-fdate" style="right: 283px; top: 32px;">
                        <!-- TEST -->
                        <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                            <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                (click)="customDateFilterOptions(option)"
                                [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                        </div>
                    </div>
                </div>
                <div class="input-group ngx-data-ui sticky-calender-dp">
                    <input class="form-control p-0 bg-transparent text_default input-box-style border-0 text-right pb-2 cursor"
                        placeholder="choose a date" [options]="datePickerOptions" name="dptodate" ngx-mydatepicker
                        #todate="ngx-mydatepicker" [(ngModel)]="sticky_header_filter.todate" (click)="todate.toggleCalendar()"
                        (calendarToggle)="calendar_toggle($event, 'sticky_to')"
                        (dateChanged)="dateValueChange($event,outlinefromdate,todate,'todate')"
                        style="min-height:20px !important;max-height:20px !important;">
                </div>
            </div>
            <div *ngFor="let option of applied_global_filter.params"
                class="float-left pt-1 pb-3 pl-1 pr-2  group-label close-block filterBorder black" (click)="openDialog(filter_Model)">
                <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                    <span (click)="removeFilter(option)" class="float-left close-icon cursor" ngbTooltip="Remove this filter"
                        placement="bottom"><i class="las la-times white fliter-close-btn"></i>
                    </span>
                    <span>{{option.display_name}}</span>
                </label>
                <label class="m-0 badge-title border-0 custom-badge-style f-14 cursor filter-text float-right text-right"
                    style="padding-left: 0 !important">{{option.value}}</label>
            </div>
        
        </div>
        
        <div class="d-block ui-w-30 rounded-circle mr-2 mt-1 cursor custom-btn text-center float-right" (click)="openDialog(filter_Model)" ngbTooltip="Add a global filter" placement="bottom"
            style="height: 30px;"> <i class="las la-plus fa-lg" style="margin-top: 10px; color: #fff;"></i>
        </div>

    </div>
</div>
<!-- Sticky Header End -->

<div class="flow-page-container pb-3">
    <div class="row ml-5">
        <!-- Global Filter Start -->
        <div class="col-md-9 pt-4">
            <div class="mr-4" style="margin-right: 0px !important;">
                <div class="head-only mb-4 pl-5" style="position: relative; font-size: 22px;">
                    <!-- <div style="width:2px ;background:#C4C4C4;position: absolute;height: 165px;top: 10px;right: -13px"></div>
                     -->
                    <span *ngFor="let word of formatted_page_title"
                        class="mr-2 {{word.highlight}}">{{word.value}}</span>
                    <span class="pb-1 mr-2" style="border-bottom:  3px solid #999999;"></span>
                    <div  style="position: absolute;left:0px; top: 0px; z-index: 9;">
                        <img src="../../assets/img/avatars/1-small.svg" class="d-block ui-w-30 rounded-circle">
                    </div>
                   <!-- <div class="forecast-filter-text">
                        <span>Select your inputs to run a forecast</span>
                    </div>-->

                </div>
                <div *ngIf="!page_details.is_insight" class="btn-group position-relative align-items-center Ffilter pl-5">
                    <div 
                        style="width:2px ;background:#C4C4C4;position: absolute;height: 49px;top: -31px;left:14px;">
                    </div>
                    <!-- <div 
                        style="width:2px ;background:#C4C4C4;position: absolute;height: 49px;bottom: -31px;right: -27px">
                    </div> -->
                    <div  style="position: absolute;left:0px;top: 8px;">
                        <div class="d-block ui-w-30 rounded-circle default-gradient"
                            style="height: 30px;text-align: center;">
                            <i class="las la-filter fa-lg" style="margin-top: 10px; color: #fff;"></i>
                        </div>
                    </div>
                    <div class="filters-shadow">
                        <div class="float-left py-2 px-3  group-label filterBorder" placement="top" ngbTooltip="Select a date range"
                        [ngClass]="{'bl-0' : global_date_filter.city !== null }">
                        <div class="d-flex">
                            <span style="cursor: pointer">
                                <span (click)="fromdate.toggleCalendar()">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                            </span>
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">From Date</label>
                        </div>
                        <div style="position: absolute;">
                            <div *ngIf="calendar_custfields.from && (datamanager.verticalFilter.length>1 && datamanager.verticalFilter[1].range.length> 0)"
                                class="cust_calendar_items dashboard-fdate p-0" style="left: 131px; top: 32px;" [perfectScrollbar]>
                                <div *ngIf="(datamanager.verticalFilter.length>1)">
                                    <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                        [activeId]="'calendar'==datamanager.verticalFilter[0].values?'tab-fromid1':'tab-fromid2'"
                                        (click)="fromdate.openCalendar();">
                                        <ngb-tab class="form-label label-material"
                                            [title]="datamanager.verticalFilter[0].display" id="tab-fromid1">
                                            <ng-template ngbTabContent style="border: none !important;">
                                                <div
                                                    *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                        (click)="customDateFilterOptions(option,option.calendar_type);fromdate.closeCalendar();"
                                                        [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                                </div>
                                            </ng-template>
                                        </ngb-tab>
                                        <ngb-tab class="form-label label-material"
                                            [title]="datamanager.verticalFilter[1].display" id="tab-fromid2">
                                            <ng-template ngbTabContent>
                                                <div
                                                    *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                        (click)="customDateFilterOptions(option,option.calendar_type);fromdate.closeCalendar();"
                                                        [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                                </div>
                                            </ng-template>
                                        </ngb-tab>
                                    </ngb-tabset>
                                </div>
                            </div>
                            <div *ngIf="calendar_custfields.from && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                                class="cust_calendar_items dashboard-fdate" style="right: 283px; top: 32px;">
                                <!-- TEST -->
                                <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                        (click)="customDateFilterOptions(option)"
                                        [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                </div>
                            </div>
                        </div>
                        <div class="input-group ngx-data-ui">
                            <input
                                class="form-control p-0 bg-transparent text_default input-box-style border-0 text-right pb-1 cursor"
                                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate"
                                ngx-mydatepicker #fromdate="ngx-mydatepicker"
                                [(ngModel)]="applied_global_filter.fromdate" (click)="fromdate.toggleCalendar()"
                                (calendarToggle) = "calendar_toggle($event, 'from')"
                                (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')"
                                style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                    <div class="float-left py-2 px-3  group-label filterBorder" placement="top" ngbTooltip="Select a date range">
                        <div class="d-flex">
                            <span style="cursor: pointer">
                                <span (click)="todate.toggleCalendar()">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                            </span>
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">To Date</label>
                        </div>
                        <div style="position: absolute">
                            <div *ngIf="calendar_custfields.to && (datamanager.verticalFilter.length>1 && datamanager.verticalFilter[1].range.length>0)"
                                class="cust_calendar_items left dashboard-fdate p-0"
                                style="left: 131px; top: 32px;" [perfectScrollbar]>
                                <div *ngIf="(datamanager.verticalFilter.length>1)">
                                    <ngb-tabset class="nav-tabs-top" #t="ngbTabset"
                                        [activeId]="'calendar'== datamanager.verticalFilter[0].values?'tab-fromid1':'tab-fromid2'"
                                        (click)="todate.openCalendar();">
                                        <ngb-tab class="form-label label-material"
                                            [title]="datamanager.verticalFilter[0].display" id="tab-fromid1">
                                            <ng-template ngbTabContent style="border: none !important;">
                                                <div
                                                    *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                        (click)="customDateFilterOptions(option,option.calendar_type);todate.closeCalendar();"
                                                        [ngClass]="activeBtnVal == option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                                </div>
                                            </ng-template>
                                        </ngb-tab>
                                        <ngb-tab class="form-label label-material"
                                            [title]="datamanager.verticalFilter[1].display" id="tab-fromid2">
                                            <ng-template ngbTabContent>
                                                <div
                                                    *ngFor="let option of datamanager.verticalFilter[1].range; let i = index">
                                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                                        (click)="customDateFilterOptions(option,option.calendar_type);todate.closeCalendar();"
                                                        [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                                </div>
                                            </ng-template>
                                        </ngb-tab>
                                    </ngb-tabset>
                                </div>
                            </div>
                            <div *ngIf="calendar_custfields.to && (datamanager.verticalFilter.length>1&&datamanager.verticalFilter[1].range.length==0)"
                                class="cust_calendar_items left dashboard-fdate" style="right: 283px; top: 32px;">
                                <!-- TEST -->
                                <div *ngFor="let option of datamanager.verticalFilter[0].range; let i = index">
                                    <button class="btn btn-round btn-outline-primary w-100 mb-1"
                                        (click)="customDateFilterOptions(option)"
                                        [ngClass]="activeBtnVal==option.hstext+option.calendar_type?'active':''">{{option.display}}</button>
                                </div>
                            </div>
                        </div>
                        <div class="input-group ngx-data-ui">
                            <input
                                class="form-control p-0 bg-transparent text_default input-box-style border-0 text-right pb-1 cursor"
                                placeholder="choose a date" [options]="datePickerOptions" name="dptodate"
                                ngx-mydatepicker #todate="ngx-mydatepicker"
                                [(ngModel)]="applied_global_filter.todate" (click)="todate.toggleCalendar()"
                                (calendarToggle) = "calendar_toggle($event, 'to')"
                                (dateChanged)="dateValueChange($event,fromdate,todate,'todate')"
                                style="min-height:20px !important;max-height:20px !important;">
                        </div>
                    </div>
                        <div *ngFor="let option of applied_global_filter.params"
                            class="float-left py-2 pl-1 pr-2  group-label close-block filterBorder"
                            (click)="openDialog(filter_Model)">
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                                <span (click)="removeFilter(option)" class="float-left close-icon cursor"
                                    ngbTooltip="Remove this filter" placement="bottom"><i class="las la-times white fliter-close-btn"></i>
                                </span>
                                <span >{{option.display_name}}</span>
                            </label>
                            <label class="m-0 badge-title border-0 custom-badge-style f-14 cursor filter-text float-right text-right"
                                style="padding-left: 0 !important">{{option.value}}</label>
                        </div>
                      
                    </div>
                    <div class="d-block ui-w-30 rounded-circle ml-2 cursor custom-btn text-center" ngbTooltip="Add a global filter" placement="bottom"
                        (click)="openDialog(filter_Model)" style="height: 30px;"> <i class="las la-plus fa-lg"
                            style="margin-top: 10px; color: #fff;"></i>
                    </div>
                </div>
                <!-- forecast filter -->
                <div *ngIf="page_details.is_insight" class="btn-group position-relative align-items-center Ffilter pl-5">

                    <div 
                         style="width:2px ;background:#C4C4C4;position: absolute;height: 49px;top: -31px;left:14px;">
                    </div>
                    <div  style="position: absolute;left:0px;top: 8px;">
                        <div class="d-block ui-w-30 rounded-circle default-gradient"
                             style="height: 30px;text-align: center;">
                            <i class="las la-filter fa-lg" style="margin-top: 10px; color: #fff;"></i>
                        </div>
                    </div>

                    <div class="filters-shadow">
                        <div class="float-left py-2 px-3  group-label filterBorder custom-filter-border" placement="top"
                             ngbTooltip="Select a date range">
                            <div class="d-flex">
                            <span style="cursor: pointer">
                                <span (click)="fromdate.toggleCalendar()">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                            </span>
                                <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                                    From Date</label>
                            </div>
                            <div class="input-group ngx-data-ui">
                                <input class="form-control p-0 bg-transparent text_default input-box-style border-0 text-right pb-1 cursor"
                                       placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate"
                                       ngx-mydatepicker #fromdate="ngx-mydatepicker"
                                       [(ngModel)]="forecast_filter.fromdate" (click)="fromdate.toggleCalendar()"
                                       (calendarToggle)="calendar_toggle($event, 'from')"
                                       (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')"
                                       style="min-height:20px !important;max-height:20px !important;">
                            </div>
                        </div>
                        <div class="float-left py-2 pl-1 pr-2  group-label close-block filterBorder custom-filter-border">
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                            <span (click)="removeFilter(option)" class="float-left close-icon cursor"
                                  ngbTooltip="Remove this filter" placement="bottom">
                            </span>
                                <span>Duration</span>
                            </label>
                            <div ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-left'" >
                                <button ngbDropdownToggle
                                        class="btn btn-sm float-right   borderless md-btn-flat hide-arrow custom-text-hover font-weight-normal WSF hover f-14 text-gray55 v-middle m-0 p-0"
                                        style="letter-spacing: -0.8px;">30 Days
                                    <i class="las la-angle-down f-12 black rounded-circle filter-down-arrow"></i>
                                </button>
                                <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL"
                                     class="mt-0 py-2 dropdownchild "
                                     style="box-shadow: 0px 4px 15px rgba(0, 0, 0, 0.08) !important; border: 1px solid #E9E9E9;box-sizing: border-box;border-radius: 8px;">
                                    <a class="dropdown-item px-2" href="javascript:void(0)"><span
                                            class="ml-2 f-14 font-weight-normal text-gray55">30 Days</span></a>
                                    <a class="dropdown-item px-2" href="javascript:void(0)"><span
                                            class="ml-2 f-14 font-weight-normal text-gray55">60 Days</span></a>
                                    <a class="dropdown-item px-2" href="javascript:void(0)"><span
                                            class="ml-2 f-14 font-weight-normal text-gray55">90 Days</span></a>
                                </div>
                            </div>
                        </div>
                        <div class="float-left py-2 pl-1 pr-2  group-label close-block filterBorder custom-filter-border">
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                                <span (click)="removeFilter(option)" class="float-left close-icon cursor"
                                      ngbTooltip="Remove this filter" placement="bottom">
                                </span>
                                <span>State</span>
                            </label>
                            <div>
                                <ss-multiselect-dropdown class="custom-multiselect-top-dropdown float-right"
                                                         [settings]="defaultSettings" [texts]="myTexts" [options]="test_states"
                                                         [(ngModel)]="forecast_filter.states">
                                </ss-multiselect-dropdown>
                            </div>
                        </div>
                        <div class="float-left py-2 pl-1 pr-2  group-label close-block filterBorder custom-filter-border">
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                            <span (click)="removeFilter(option)" class="float-left close-icon cursor"
                                  ngbTooltip="Remove this filter" placement="bottom">
                            </span>
                                <span>Region</span>
                            </label>
                            <div>
                                <ss-multiselect-dropdown class="custom-multiselect-top-dropdown float-right"
                                                         [settings]="defaultSettings" [texts]="myTexts" [options]="test_regions"
                                                         [(ngModel)]="forecast_filter.region">
                                </ss-multiselect-dropdown>
                            </div>
                        </div>
                        <div class="float-left py-2 pl-1 pr-2  group-label close-block filterBorder custom-filter-border">
                            <label style="font-size: 10px;" class="mb-0 label-style pl-0 text-right">
                                <span (click)="removeFilter(option)" class="float-left close-icon cursor"
                                      ngbTooltip="Remove this filter" placement="bottom">
                                </span>
                                <span>Store</span>
                            </label>
                            <div>
                                <ss-multiselect-dropdown class="custom-multiselect-top-dropdown float-right"
                                                         [settings]="defaultSettings" [texts]="myTexts" [options]="test_stores"
                                                         [(ngModel)]="forecast_filter.stores">
                                </ss-multiselect-dropdown>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Global Filter End -->
        <div class="col-md-3 pt-4" style="color: #777;">
            <div *ngIf="flow_data?.last_updated_date" class="text-right py-2 d-block">Data last updated : {{flow_data?.last_updated_date | date:'mediumDate'}}</div>
            <div *ngIf="flow_data?.created_date">
                <div class="text-right pt-2">Created by <strong>{{menu_data.created_by}}</strong> on {{flow_data?.created_date | date:'mediumDate'}}
                    <img src="../../assets/img/avatars/1-small.svg" class="pl-2 ui-w-30 rounded-circle">
                </div>
            </div>
            <div *ngIf="menu_data.isshared">
                <div class="text-right pt-2"> Shared with <strong>{{menu_data.shared_with}}</strong>
                    <img src="../../assets/img/avatars/1-small.svg" class="pl-2 ui-w-30 rounded-circle">
                </div>
            </div>
        </div>
    </div>

</div>
<!-- /Bredcrumb -->
<div class="flow-page-container pb-5">
    <div class="row ml-5">
<div class="col-md-9">
    <div *ngIf="page_details.is_insight" class="text-right f-18 font-weight-normal text-gray55" style="margin-right:4rem;" >Here is the forecast for next 30 days</div>
    <div  style="width: 2px;background: #C4C4C4;position: absolute;height: 90px;top: 8px;right: 46px;">
    </div>
    <div   style="position: absolute;right: 32px;top: -3px;">
        <div  class="d-block ui-w-30 rounded-circle default-gradient" style="height: 30px;text-align: center;">
            <i  class="las la-stream fa-lg" style="margin-top: 10px; color: #fff;"></i>
    </div></div>
</div>
</div></div>

<div  style="display: flex;flex-direction: column" *ngFor="let fg of flow_data?.outline_group;index as i"
     [ngClass]="i == flow_data?.outline_group.length - 2 ? 'last_card':''">
    <div style="flex-direction: row;display: flex;">
        <!-- buttons -->
        <app-hint [id]="'tab-lenses'" [hidden]="!fg?.show_button || fg.childs.length<2"></app-hint>
        <div class="col-sm-8 pr-0 ml-5" [hidden]="!fg?.show_button" [perfectScrollbar] style="white-space: nowrap;">
            <button id="button_{{flow_child?.object_id}}" *ngFor="let flow_child of fg.childs;"
                class="btn btn-primary box-shadow-none  mr-3"
                (click)="changeTile(flow_child,fg.childs,'no_redirect')"
                [ngClass]="{'btn-primary box-shadow-none': (flow_child?.is_expand === true && flow_child?.is_visible === true),
                        'btn-default borderless box-shadow-none engine-inactive-tab': flow_child?.is_expand !== true, 'display-none': fg?.childs?.length === 1}" placement="top"
                ngbTooltip="{{flow_child?.group_name === null ? flow_child?.view_name + '...': flow_child?.group_name}}">
                {{flow_child?.group_name === null ? flow_child?.view_name?.slice(0, 22) + '...' :
                flow_child?.group_name.slice(0, 22)}}
            </button>
        </div>
        <!-- dot based on length -->
        <div class="row ml-5 mt-3"  [hidden]="!fg?.show_dot">
            <app-hint [id]="'four-tabs'"></app-hint>
            <div class="col-sm-9 pr-0" style="display: flex;flex-direction: row;">
                <div *ngFor="let flow_child of fg.childs">
                    <button class="btn btn-xs btn-default" [hidden]="fg.childs.length === 1"
                        style="padding: 2px;width: 22px;background: #ccc;"></button>
                </div>
            </div>
        </div>
    </div>

    <div style="flex-direction: row;">
        <div class="w-100 flow-child-group" *ngFor="let flow_child of fg.childs;index as j">
            <!-- Normal search -->
            <div *ngIf="flow_child.card_type == 'standard_search' || flow_child.card_type == 'existing_card' || flow_child.card_type == 0 || flow_child.card_type === null">
                <flow-entity [global_filters]="global_filters" [length]="fg" [book_markId]="book_markId" [flow_child]="flow_child"
                    [hidden]="!flow_child.is_visible" [flow_index]="i"></flow-entity>
            </div>
            <!-- driver analysis -->
            <div *ngIf="flow_child.card_type == 'driver_analysis_overview'">
                <flow-drive-analysis [flow_child]="flow_child" [hidden]="!flow_child.is_visible" [flow_index]="i"></flow-drive-analysis>
            </div>
            <!-- forecast_overview -->
            <div *ngIf="flow_child.card_type === 'forecast_overview'">
                <flow-forecast [position]="(i+j)" [totalPosition]="totalPosition" [length]="fg"
                    [flow_child]="flow_child" [hidden]="!flow_child.is_visible" [flow_index]="i" [page_type]="page_type" (flowchild_event)="flowchild_callback($event)"></flow-forecast>
            </div>
            <!-- mba_overview -->
            <div *ngIf="flow_child.card_type === 'mba_overview'">
                <flow-marketbasket [position]="(i+j)" [totalPosition]="totalPosition" [length]="fg"
                    [flow_child]="flow_child" [hidden]="!flow_child.is_visible" [flow_index]="i" [page_type]="page_type" (flowchild_event)="flowchild_callback($event)">
                </flow-marketbasket>
            </div>
        </div>
    </div>
</div>
<div class="position-relative" *ngIf="showNewAnalysis" style="width: 75%;">
    <button (click)="showAddCard=false;showNewAnalysis=false" *ngIf="showNewAnalysis || showAddCard" class="float-right btn icon-btn btn-outline-danger borderless" 
    style="position: absolute;right: 4px;z-index: 1;top: 30px;">
    <i class="lar la-times-circle fa-lg"></i>
    </button>
</div>
<new-flow-entity *ngIf="showNewAnalysis" (newflow_event)="newflow_callback($event)"></new-flow-entity>
<div *ngIf="showAddCard" class="row">
    <div class="col-md-9 pr-0">
        <div class="card card-shadow bg-white border-radius-10" style="margin-left: 3.7rem;margin-right: 0.3rem; background-color: transparent;">
            <div class="row border-bottom py-2  px-2 mx-1">
                <div class="col-md-8">
                    <div class="navbar-nav ">
                        <label class="nav-item navbar-text navbar-search-box p-0 active">
                            <i class="ion ion-ios-search navbar-icon align-middle f-22"></i>
                            <span class="navbar-search-input pl-1 w-100">
                                <input class="form-control navbar-text mx-2 f-16 w-100" [(ngModel)]="search_card" (keyup)="searchCards()"
                                    placeholder="Search for Cards" type="text">
                            </span>
                        </label>
                    </div>
                </div>
                <div class="col-md-4">
                   
                    <button class="btn btn-primary hide-arrow focus box-shadow-none float-right" (click)="showNewAnalysis=true;showAddCard=false">
                        <i class="las la-credit-card fa-lg"></i>
                        <span class="ml-2">New Card</span>
                    </button> 
                    <button (click)="showAddCard=false;showNewAnalysis=false" *ngIf="showNewAnalysis || showAddCard" class="float-right btn icon-btn btn-outline-danger borderless">
                        <i class="lar la-times-circle fa-lg"></i>
                    </button>
                </div>
            </div>
            <div class="row px-3 mx-2" style="max-height:415px;overflow:hidden;overflow-y:auto;"
                [perfectScrollbar]>
                <div class="col-md-12 py-2">
                    <span class="f-14 font-weight-normal text-muted"> Click on a card below to add to
                        this document, or create a new card.</span>
                </div>
                <div class="col-md-6" *ngFor="let flow of search_cards">
                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                        <div class="float-right" [ngClass]="flow.flow_class"><i class="f-25  pl-2" [ngClass]="flow.flow_icon"
                                style="color:#EB888C;"></i></div>
                        <span class="f-14 font-weight-normal">{{flow.flow_name}}</span>
                        <div class="text-muted f-12 font-weight-normal pt-2" *ngIf="flow.flow_tags.length>0"><span *ngFor="let cat of flow.flow_tags">{{cat}}</span></div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<div *ngIf="!page_details.is_insight && !showNewAnalysis &&!showAddCard" class="row mt-4">
    <div class="col-md-9" style="margin-left:4rem;">
        <div class="head-only f-22 font-weight-normal text-gray55">
            <!-- <img class="mr-2" src="../../assets/imgs/hxlogo/hx_logo.svg" alt="Jarvix" style="width:30px;height:30px"> -->
            Is there anything else I can help you with?
        </div>
    </div>
</div>
<div *ngIf="!page_details.is_insight" class="row">
    <div class="col-md-9 mt-2" style="margin-left:3.9rem;">
        <div class="mr-4 position-relative">
            <!-- <div  style="width:1px ;background:#C4C4C4;position: absolute;height: 85px;top: -85px;right: -38px;"></div> -->
            <div class="d-flex">
                <button   (click)="showAddCard=true" *ngIf="!showNewAnalysis &&!showAddCard"
                class="btn btn-default hide-arrow focus box-shadow-none borderless bg-graye9 mr-2">
                <i 
                    [ngClass]="isaddCard == true ? 'fas fa-credit-card f-16' : 'las la-credit-card fa-lg'"></i>
                <span class="ml-2">Add a new Card</span> </button>
                <!-- <button   (click)="showAddCard=false;showNewAnalysis=false" *ngIf="showNewAnalysis || showAddCard"
                class="btn btn-default hide-arrow focus box-shadow-none borderless bg-graye9 mr-2">
                <i class="lar la-times-circle"></i>
                <span class="ml-2">Close</span> 
                </button> -->
                <!-- <button class="btn btn-default mr-2">Add a new Card</button> -->
                <!-- <div #addCard="ngbDropdown" ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'" >
                    <button ngbDropdownToggle *ngIf="!showNewAnalysis"
                        class="btn btn-default hide-arrow focus box-shadow-none borderless bg-graye9 mr-2">
                        <i 
                            [ngClass]="isaddCard == true ? 'fas fa-credit-card f-16' : 'las la-credit-card fa-lg'  "></i>
                        <span class="ml-2">Add a new Card</span> </button>
                    <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL"
                        class="bg-transparent mt-3 p-0 row custom-tree-dropdown bg-white">
                       
                        <div class="card card-shadow bg-white border-radius-10">
                            <div class="row border-bottom py-2  px-2 mx-1">
                                <div class="col-md-8">
                                    <div class="navbar-nav ">
                                        <label class="nav-item navbar-text navbar-search-box p-0 active">
                                            <i class="ion ion-ios-search navbar-icon align-middle f-22"></i>
                                            <span class="navbar-search-input pl-1 w-100">
                                                <input class="form-control navbar-text mx-2 f-16 w-100"
                                                    placeholder="Search for Cards" type="text">
                                            </span>
                                        </label>
                                    </div>
                                </div>
                                <div class="col-md-4">
                                    <button class="btn btn-primary hide-arrow focus box-shadow-none float-right" (click)="showNewAnalysis=true;isaddCard=false;addCard.toggle()">
                                        <i class="las la-credit-card fa-lg"></i>
                                        <span class="ml-2">New Card</span></button>
                                </div>
                            </div>
                            <div class="row px-3 mx-2" style="max-height:415px;overflow:hidden;overflow-y:auto;"
                                [perfectScrollbar]>
                                <div class="col-md-12 py-2">
                                    <span class="f-14 font-weight-normal text-muted"> Click on a card below to add to
                                        this flow, or create a new card.</span>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-users f-25  pl-2"
                                                style="color:#EB888C;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-dollar-sign f-25  pl-2"
                                                style="color:#F68E76;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-percentage f-25  pl-2"
                                                style="color:#DFC94F;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-cube f-25  pl-2"
                                                style="color:#6CC9A8;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-users f-25  pl-2"
                                                style="color:#EB888C;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-dollar-sign f-25  pl-2"
                                                style="color:#F68E76;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-percentage f-25  pl-2"
                                                style="color:#DFC94F;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                                <div class="col-md-6">
                                    <div class="pb-1 mb-4 p-3 bg-gray95 card d-block new-card-tab ">
                                        <div class="float-right"><i class="las la-cube f-25  pl-2"
                                                style="color:#6CC9A8;"></i></div>
                                        <span class="f-14 font-weight-normal">Net Sales Analysis of Crispy Avocado
                                            Sandwich in Texas</span>
                                        <div class="text-muted f-12 font-weight-normal pt-2">Net Sales, Order Mode,
                                            Store</div>
                                    </div>
                                </div>
                            </div>
                        </div>
                     
                    </div>
                </div> -->
                <!-- <button class="btn btn-default"  (click)="searchSome()">Search Something Else</button>  -->
                <!-- <div #searchSomething="ngbDropdown" ngbDropdown [placement]="isRTL ? 'bottom-left' : 'bottom-right'"
                    >
                    <button ngbDropdownToggle
                        class="btn btn-default hide-arrow focus box-shadow-none borderless bg-graye9"
                        (click)="searchSome()">
                        <i 
                            [ngClass]="searchSomething.isOpen() == true ? 'fas fa-search f-16' : 'ion ion-ios-search fa-lg'  "></i>
                        <span class="ml-2">Search Something Else </span>
                    </button>
                    <div ngbDropdownMenu [class.dropdown-menu-right]="!isRTL" class="mt-3 "
                        style="box-shadow: 0px 3px 10px 1px #7d7d7d5c !important;">
                        <div id="divSearchParent" *ngIf="isSearchSomethingElse">
                            <div class="inputpanel box-shadow-none" style="width: 55vw;;">
                                <i class="las la-search f-25 text-gray77" style="transform: rotate(-90deg);"></i>
                                <div class="inputtag"></div>
                                <div style="width: 100%;" class="dropdown">
                                    <input aria-haspopup="true" autocomplete="off"
                                        class="dropdown-toggle ng-untouched ng-pristine ng-valid" id="txtSearch"
                                        placeholder="Ask Jarvix any question about your business" type="text">
                                </div>
                            </div>
                        </div>
                    </div>
                </div> -->
            </div>
            <!-- <div  style="position: absolute;right:  -2.7vw;top: 5px;">
                <img src="../../assets/img/avatars/1-small.svg" class="d-block ui-w-30 rounded-circle">
            </div> -->
        </div>

    </div>

    <div class="col-md-3"></div>
</div>
<div style="background: rgb(246, 246, 246);min-height: 500px;position: relative;">
    <div style="width: 100%;height:200px;background: rgb(246, 246, 246);position: absolute;"></div>

    <div style="background: rgb(246, 246, 246);position: relative;">
        <div  style="width: 100%;height:200px;background: rgb(246, 246, 246);position: absolute;"></div>
    </div>
    <div *blockUI="'global-loader'; template: blockTemplate">
    </div>

    <ng-template #alert_Model let-c="close" let-d="dismiss" class="modal fade-scale">
        <div class="modal-header">
            <h2 class="modal-title confirm-dialog"><i class="fa fa-exclamation-circle" aria-hidden="true"></i>
                <span class="font-weight-light">Confirmation</span>
            </h2>
            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>

        <div class="modal-body">
            <!-- <h3>Are you sure?</h3> -->
            <p class="mb-0 unpin-text">You have un-saved changes in this document. Do you want to save the changes you made?
            </p>
        </div>

        <div class="modal-footer">
            <button type="button" class="btn btn-primary btn-material" (click)="closeAlert();">Yes</button>
            <button type="button" class="btn btn-default" (click)="saveFlow(1);c('Close click')">No</button>
        </div>
    </ng-template>

  

    <ng-template #email_schedule_modal let-c="close" let-d="dismiss">
        <email-schedule [page_no]="page_no" (schedule_event)="schedule_callback($event)"></email-schedule>
    </ng-template>
    <ng-template #filter_Model let-c="close" let-d="dismiss">
        <global-filter [resultData]="{ hsparams: global_filter_params }" (filter_event)="filter_callback($event)">
        </global-filter>
    </ng-template>
    <ng-template #save_flow_Model let-c="close" let-d="dismiss">
        <flow-save [flow]="{page_title: page_title, reference_id: reference_id}" (title_event)="saveTitle_callback($event)"></flow-save>
    </ng-template>
    <ng-template #share_modal let-c="close" let-d="dismiss">
        <share-modal [page_no]="page_no" [sharing_data]="sharing_data" (share_event)="share_callback($event)"></share-modal>
    </ng-template>
    <ng-template #data_update_modal let-c="close" let-d="dismiss">
        <data-last-updated [dash_info_list]="dash_info_list" (data_event)="modalreference.close();"></data-last-updated>
    </ng-template>
    <ng-template #schedule_forecast_modal let-c="close" let-d="dismiss">
        <div class="modal-header">
            <h5 class="modal-title">
                <span class="font-weight-light">Schedule Forecast</span>
            </h5>
            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>
        <div class="modal-body " style="min-height:465px;">
           <div class="form-row">
            <div class="form-group col px-1 mb-3">
                <div class="col-md-12 mb-2">
                 <span class="fw-500 f-16">Frequency</span>
                </div>
                 <div class="col-md-12 d-flex align-items-center ">
                     <span class="font-weight-normal f-16 mr-2">Once Per</span>
                     <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-4"
                     [settings]="defaultSettings"
                     [options]="defaultOptions"
                     [(ngModel)]="defaultModel">
                   </ss-multiselect-dropdown>
                   <span class="font-weight-normal f-16 mr-2">From</span>
                 <div class="px-3  group-label " placement="bottom" ngbTooltip="Select a date range" style="width:170px;height:35px;">
                 <div class="input-group ngx-data-ui sticky-calender-dp">
                     <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                         placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                         #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                         (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                         (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')"
                         >
                         <span (click)="fromdate.toggleCalendar()" class="py-2">
                             <i class="las la-calendar fa-lg"></i>
                         </span>
                 </div>
             </div>
               </div>
             </div>
             <div class="form-group col px-1 mb-3" >
                 <div class="col-md-12 mb-2">
                 <span class="fw-500 f-16">End Occurance</span>
             </div>
                 <div class="col-md-12 d-flex align-items-center">
                     <label class="custom-control custom-radio f-16 fw-700 mr-2" style="margin-bottom:0px;">
                         <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore"
                          type="radio" value="all"  >
                         <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">Never</div>
                     </label>
                     <label class="custom-control custom-radio f-16 fw-700 mr-3 ml-2" style="margin-bottom:0px;">
                         <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore"
                          type="radio" value="all"  >
                         <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">On</div>
                     </label>
                     <div class="px-3  group-label mr-4" placement="bottom" ngbTooltip="Select a date range" style="width:170px;height:35px;">
                        <div class="input-group ngx-data-ui sticky-calender-dp">
                            <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                                placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                                #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                                (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                                (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')"
                                >
                                <span (click)="fromdate.toggleCalendar()" class="py-2">
                                    <i class="las la-calendar fa-lg"></i>
                                </span>
                        </div>
                    </div>
                 <label class="custom-control custom-radio f-16 fw-700" style="margin-bottom:0px;">
                     <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore"
                      type="radio" value="all"  >
                     <div class="custom-control-label font-weight-normal f-16 mr-2" for="defaultRadio1">After</div>
                 </label>
                 <ss-multiselect-dropdown class="custom-multiselect-dropdown"
                 [settings]="defaultSettings"
                 [options]="defaultOptions"
                 [(ngModel)]="defaultModel">
               </ss-multiselect-dropdown>
               </div>
             </div>
             <div class="form-group-col w-100">
                <div class="col-md-12 mt-2 mb-4" >
                    <hr style="border-top:1px solid #e9e9e9;">
                 </div>
             </div>
             <div class="form-group col px-1 mb-4">
                 <div class="col-md-12 mb-2">
                     <span class="fw-500 f-16">Forecast Criteria</span>
                 </div>
                 <div class="col-md-12 d-flex align-items-center">
                     <span class="font-weight-normal f-16 mr-2">Start From</span>
                   <div class=" px-3  group-label mr-4" placement="bottom" ngbTooltip="Select a date range"  style="width:170px;height:35px;" >
                   <div class="input-group ngx-data-ui sticky-calender-dp">
                       <input class="form-control p-0 pb-1 bg-transparent text_default input-box-style border-0 text-left cursor"
                           placeholder="choose a date" [options]="datePickerOptions" name="dpfromdate" ngx-mydatepicker
                           #fromdate="ngx-mydatepicker" [(ngModel)]="applied_global_filter.fromdate"
                           (click)="fromdate.toggleCalendar()" (calendarToggle)="calendar_toggle($event, 'sticky_from')"
                           (dateChanged)="dateValueChange($event,fromdate,todate,'fromdate')">
                           <span (click)="fromdate.toggleCalendar()" class="py-2">
                             <i class="las la-calendar fa-lg"></i>
                         </span>
                   </div>
               </div>
              
                     <span class="font-weight-normal f-16 mr-2">Duration</span>
                     <ss-multiselect-dropdown class="custom-multiselect-dropdown"
                     [settings]="defaultSettings"
                     [options]="defaultOptions"
                     [(ngModel)]="defaultModel">
                   </ss-multiselect-dropdown>
                 </div>
             
             </div>
              <div class="form-group col px-1 mb-3">
                 <div class="col-md-12 mb-2">
                 <span class="fw-500 f-16">Select Store(s)</span>
             </div>
                 <div class="col-md-12 d-flex align-items-center">
                     <label class="custom-control custom-radio f-16 fw-700 mr-4 mb-0" >
                         <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore"
                          type="radio" value="all"  >
                         <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">All</div>
                     </label>
                     <label class="custom-control custom-radio f-16 fw-700 mr-2 ml-3 mb-0" >
                         <input class="mr-1 custom-control-input " id="defaultRadio1" name="createSelectStore"
                          type="radio" value="all"  >
                         <div class="custom-control-label font-weight-normal f-16" for="defaultRadio1">For</div>
                     </label>
                
             
                 <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2"
                 [settings]="defaultSettings"
                 [options]="defaultOptions"
                 [(ngModel)]="defaultModel">
               </ss-multiselect-dropdown>
               
          
                 <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2"
                 [settings]="defaultSettings"
                 [options]="defaultOptions"
                 [(ngModel)]="defaultModel">
               </ss-multiselect-dropdown>
             
            
                 <ss-multiselect-dropdown class="custom-multiselect-dropdown mr-2" [settings]="defaultSettings" [options]="defaultOptions" [(ngModel)]="defaultModel">
               </ss-multiselect-dropdown>
             </div>
              
             </div>
           </div>
        </div>
        <div class="modal-footer alert-model-footer">
            <button type="button" class="btn btn-default" (click)="closeAlert()">Cancel</button>
            <button type="button" class="btn btn-primary" (click)="closeAlert(); schedule_forecast()">Schedule</button>
          </div>
    </ng-template>
    <!-- forecast list -->
    <ng-template #forecast_list_modal let-c="close" let-d="dismiss">
        <div class="modal-header">
            <h5 class="modal-title">
                <span class="font-weight-light">Current Schedules</span>
            </h5>
            <button type="button" class="close" (click)="d('Cross click')">&times;</button>
        </div>
        <div class="modal-body">
            <div class="email-scheculeCard w-100">
                <ngb-accordion [closeOthers]="true" activeIds="accordion2-static-1" class="ngb-accordion-with-icon">
                    <ngb-panel id="accordion2-static-1">
                        <ng-template ngbPanelTitle>
                            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q1 Period1 Forecast</span>
                            </div>
                            <div class="col-lg-6 col-md-12 pr-0">
                                <div class="btn-group float-right ">
                              <span class="filter_icon float-right mr-3  f-14 gray"
                                    ngbtooltip="Edit" placement="top" style="cursor: pointer; display: inline-flex;">
                               <i class="fas fa-edit"></i></span>
                                    <span class="filter_icon float-right mr-3  f-14 gray "
                                          ngbtooltip="Delete" placement="top"
                                          style="cursor: pointer; display: inline-flex;">
                                <i class="far fa-trash-alt"></i></span>
                                    <span class="filter_icon float-right mr-2 f-14 gray "
                                          style="cursor: pointer; display: inline-flex;">
                                <i class="collapse-icon float-right"></i></span>
                                </div>
                            </div>

                        </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0 mb-3">
                                    <p class="mb-2"><img  src="assets/img/results.svg"
                                                         style="height:18px;vertical-align:bottom;">
                                        <span class="f-14 pl-3">Forecast Start from  </span> <span
                                                class="f-14 fw-700 pl-2">09/01/2019</span></p>
                                    <p class="mb-2">
                                        <span class="f-14 pl-34">Forecast Duration</span> <span
                                            class="f-14 fw-700 pl-2">30 days</span></p>
                                </div>
                                <div class="col-md-12 pl-0 mb-3">
                                    <p class="mb-2"><i class="far fa-clock f-18" style="vertical-align:bottom;"></i>
                                        <span class="f-14 pl-3">Weekly From</span> <span class="f-14 fw-700 pl-2">09/01/2019</span>
                                    </p>
                                    <p class="mb-2"><span class="f-14" style="padding-left: 34px;">No End Date</span>
                                    </p>
                                </div>
                                <div class="col-md-12 pl-0 mb-2">
                                    <p class="mb-2"><i class="fas fa-store-alt f-15"
                                                       style="vertical-align:baseline;"></i>
                                        <span class="pl-3 f-14">All Stores </span></p>
                                </div>
                                <div class="col-md-12 pl-0"><span class="f-13">Created by John Smith</span></div>
                            </div>
                        </ng-template>
                    </ngb-panel>
                    <ngb-panel id="accordion2-static-2">
                        <ng-template ngbPanelTitle>
                            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q2 Period2 Forecast</span>
                            </div>
                            <div class="col-lg-6 col-md-12 pr-0">
                                <div class="btn-group float-right ">
                                    <span class="gray f-13">Created by John Smith</span>
                                    <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor"
                                          style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span></div>
                            </div>
                        </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0">
                                    <p><span class="f-14 fw-700">Content</span></p>
                                </div>
                            </div>
                        </ng-template>
                    </ngb-panel>
                    <ngb-panel id="accordion2-static-3">
                        <ng-template ngbPanelTitle>
                            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q3 Period3 Forecast</span>
                            </div>
                            <div class="col-lg-6 col-md-12 pr-0">
                                <div class="btn-group float-right ">
                                    <span class="gray f-13">Created by John Smith</span>
                                    <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor"
                                          style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span></div>
                            </div>
                        </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0">
                                    <p><span class="f-14 fw-700">Content</span></p>
                                </div>
                            </div>
                        </ng-template>
                    </ngb-panel>
                    <ngb-panel id="accordion2-static-4">
                        <ng-template ngbPanelTitle>
                            <div class="col-lg-6 col-md-12"><span class="text-dark f-16">Q1 Test4 Forecast</span></div>
                            <div class="col-lg-6 col-md-12 pr-0">
                                <div class="btn-group float-right ">
                                    <span class="gray f-13">Created by John Smith</span>
                                    <span class="filter_icon float-right mr-2 ml-3 f-14 gray cursor"
                                          style=" display: inline-flex;">
                                  <i class="collapse-icon float-right"></i></span></div>
                            </div>
                        </ng-template>
                        <ng-template ngbPanelContent>
                            <div class="row" style="padding: 0rem 0.5rem;">
                                <div class="col-md-12 pl-0">
                                    <p><span class="f-14 fw-700">Content</span></p>
                                </div>
                            </div>
                        </ng-template>
                    </ngb-panel>
                </ngb-accordion>
            </div>
        </div>
        <div class="modal-footer alert-model-footer">
            <button type="button" class="btn btn-default" (click)="closeAlert()">Close</button>
           <!-- <button type="button" class="btn btn-primary" (click)="closeAlert()">Save</button>-->
        </div>
    </ng-template>
    <ng-template #blockTemplate>
        <div class="block-ui-template">
            <!-- <logo-loader></logo-loader> -->
            <div class="app-splash-screen ">
                <div class="new-app-splash-screen-content text-center">
                    <img src="../../assets/img/hx-loader-logo.svg" class="loader-svg">
                    <span class="loading-text-material">
                        <!-- <p class="text-center text-white">{{loadingText}} </p> -->
                    </span>
                </div>
            </div>

        </div>
    </ng-template>
